//
// C++ Interface: textlineedit
//
// Description: 
//
//
// Author: Dominik Seichter <domseichter@web.de>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//

#ifndef TECLINEEDITDLG_H
#define TECLINEEDITDLG_H

#include <tqwidget.h>
#include <knuminput.h>

class TDEActionCollection;
class TDEToggleAction;
class TDEFontAction;
class TDEFontSizeAction;
class TDEToolBar;
class KSpell;
class KSpellConfig;
class KComboBox;
class TokenProvider;

class KLineEdit;

class TextLineEditor : public TQWidget {
    TQ_OBJECT
  
    public:
        TextLineEditor( TokenProvider* token, TQWidget *parent=0, const char *name=0);
        ~TextLineEditor();
        TQString text();
	KIntNumInput* mag_vert;
	KIntNumInput* mag_hor;
	
        void setText( const TQString & t );
        void setFontType(int index);
	int  getFontType();
	int  getHorMag();
	void setHorMag( int index );
	int  getVertMag();
	void setVertMag( int index );
    private slots:
        void setupActions();
        void updateActions();
           
        void insertNewField();
	
        
    protected:
        TokenProvider* m_token;

        KLineEdit* editor;

        TDEActionCollection* ac;
        
	KComboBox *action_font_type ;
        TDEToolBar* toolBar;
        TDEToolBar* tool2Bar;
	TDEToolBar* tool3Bar;
	
	
  
};

#endif
